> ## Documentation Index
> Fetch the complete documentation index at: https://developer.supernotes.app/llms.txt
> Use this file to discover all available pages before exploring further.

#  Check Auth

> Check if using a valid authentication token and return the associated User ID



## OpenAPI

````yaml get /v1/user/token
openapi: 3.1.0
info:
  title: supernotes
  description: The Supernotes API – a modern and fast API for quick card creation
  version: 3.2.1
servers: []
security: []
paths:
  /v1/user/token:
    get:
      tags:
        - user
      summary: ' Check Auth'
      description: >-
        Check if using a valid authentication token and return the associated
        User ID
      operationId: _check_auth_v1_user_token_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthCheckResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AuthCheckResponse:
      properties:
        user_id:
          type: string
          format: uuid
          title: User Id
      type: object
      required:
        - user_id
      title: AuthCheckResponse
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Api-Key

````